Bug 161304 - Window list does not show window after switching workspace
Window list does not show window after switching workspace
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Mike McLean
Depends On:
Blocks: FC4Update
  Show dependency treegraph
Reported: 2005-06-22 05:03 EDT by Albert Bachmann
Modified: 2014-06-18 05:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-07 21:03:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Albert Bachmann 2005-06-22 05:03:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I upgraded from Fedora Core 3 to 4 using the installation CDs. There where no observable difficulties during this process. I now face a problem with the window list applet. It affects my old user account and newly created users as well if the applet is configured to show windows from all workspaces. See below for reproduction steps.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure "Window List Preferences" with "Show windows from all workspaces".
2. Start an application.
3. Move to another workspace
4. Klick on the window list button representing the running application from other workspace.

Actual Results:  Nothing happens.

Expected Results:  There should be a switch to the workspace where the application started and the window should re-appear.

Additional info:

This behavior affects only newly started applications. When multiple applications run, one can first switch to an older application and then switch to the new one which is then shown properly.
Comment 1 Ray Strode [halfline] 2005-06-22 10:05:40 EDT
Hmm... This is either a libwnck bug or a Metacity bug.  For now I'm going to
assign it to libwnck.
Comment 2 Petr Šplíchal 2005-08-10 15:29:15 EDT
futhermore -- if "restore to native workspace" is set and you click on button of
a window that is on another workspace, workspace isn't switched and the clicked
window appears (moves) to current workspace
Comment 3 Jerry 2005-08-23 02:06:16 EDT
I will confirm comment #2.  Restore to native workspace worked fine yesterday. 
It acts like restore to current workspace now after todays update to metacity.
Comment 4 Graham Cole 2005-08-24 02:14:49 EDT
This might be related to bug id #165859.
Comment 5 Elijah Newren 2006-05-04 19:50:26 EDT
This is http://bugzilla.gnome.org/show_bug.cgi?id=331661, which was fixed in
libwnck 2.13.x upstream (if you want to backport, be sure to fix the bug that
was caused by the fix from that bug; see
Comment 6 Søren Sandmann Pedersen 2006-09-07 21:03:23 EDT
Should be fixed in rawhide, please reopen if not.

Note You need to log in before you can comment on or make changes to this bug.